"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.load = void 0;
const typedoc_1 = require("typedoc");
function load(app) {
    app.options.addDeclaration({
        name: "carbonServe",
        type: typedoc_1.ParameterType.String,
        help: "Carbon Ads Serve",
    });
    app.options.addDeclaration({
        name: "carbonPlacement",
        type: typedoc_1.ParameterType.String,
        help: "Carbon Ads Placement",
    });
    app.renderer.hooks.on("head.end", () => {
        const adsStyle = `#carbonads * {
  margin: initial;
  padding: initial;
}
#carbonads {
  font-family: -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto,
    Oxygen-Sans, Ubuntu, Cantarell, 'Helvetica Neue', Helvetica, Arial,
    sans-serif;
}
#carbonads {
  display: flex;
  max-width: 330px;
  background-color: hsl(0, 0%, 98%);
  box-shadow: 0 1px 4px 1px hsla(0, 0%, 0%, 0.1);
  z-index: 100;
  margin: 0 0 0 40px;
}
#carbonads a {
  color: inherit;
  text-decoration: none;
}
#carbonads a:hover {
  color: inherit;
}
#carbonads span {
  position: relative;
  display: block;
  overflow: hidden;
}
#carbonads .carbon-wrap {
  display: flex;
}
#carbonads .carbon-img {
  display: block;
  margin: 0;
  line-height: 1;
}
#carbonads .carbon-img img {
  display: block;
}
#carbonads .carbon-text {
  font-size: 13px;
  padding: 10px;
  margin-bottom: 16px;
  line-height: 1.5;
  text-align: left;
}
#carbonads .carbon-poweredby {
  display: block;
  padding: 6px 8px;
  background: #f1f1f2;
  text-align: center;
  text-transform: uppercase;
  letter-spacing: 0.5px;
  font-weight: 600;
  font-size: 8px;
  line-height: 1;
  border-top-left-radius: 3px;
  position: absolute;
  bottom: 0;
  right: 0;
}`;
        return (typedoc_1.JSX.createElement("style", null,
            typedoc_1.JSX.createElement(typedoc_1.JSX.Raw, { html: adsStyle })));
    });
    app.renderer.hooks.on("pageSidebar.begin", (ctx) => {
        const serve = ctx.options.getValue("carbonServe");
        const placement = ctx.options.getValue("carbonPlacement");
        return (typedoc_1.JSX.createElement("script", { async: true, type: "text/javascript", src: `//cdn.carbonads.com/carbon.js?serve=${serve}&placement=${placement}`, id: "_carbonads_js" }));
    });
}
exports.load = load;
